[next] [prev] [prev-tail] [tail] [up]

### E.3 Usage

fpcmake reads a Makefile.fpc and converts it to a Makefile suitable for reading by gnu make to compile your projects. It is similar in functionality to GNU configure or Imake for making X projects.

fpcmake accepts filenames of makefile description files as its command line arguments. For each of these files it will create a Makefile in the same directory where the file is located, overwriting any existing file with that name.

If no options are given, it just attempts to read the file Makefile.fpc in the current directory and tries to construct a Makefile from it if the -m option is given. Any previously existing Makefile will be erased.

if the -p option is given, instead of a Makefile, a Package.fpc is generated. A Package.fpc file describes the package and its dependencies on other packages.

Additionally, the following command line options are recognized:

-p
  A Package.fpc file is generated.
-w
  A Makefile is generated.
-T targets
  Support only specified target systems. Targets is a comma-separated list of targets. Only rules for the specified targets will be written.
-v
  Be more verbose.
-q
  be quiet.
-h
  Writes a small help message to the screen.

[next] [prev] [prev-tail] [front] [up]